
package de.ivu.elect.business.wahlvorschlag.boundary;

import java.io.Serializable;

import de.ivu.elect.business.wahlvorschlag.entity.Liste;


import de.ivu.elect.business.wahlvorschlag.boundary.WahlvorschlagFactory;
import javax.inject.Inject;

/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class ListeFactory implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlvorschlagFactory superFactory;

  public Liste create() {
        Liste entity = new Liste(
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(Liste entity) {
    superFactory.initDefaultAttributes(entity);
  }

}
